Index: trunk/src/lib/particles/box_emitter.cc
===================================================================
--- trunk/src/lib/particles/box_emitter.cc	(revision 9235)
+++ trunk/src/lib/particles/box_emitter.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/particles/dot_emitter.cc
===================================================================
--- trunk/src/lib/particles/dot_emitter.cc	(revision 9235)
+++ trunk/src/lib/particles/dot_emitter.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/particles/dot_particles.cc
===================================================================
--- trunk/src/lib/particles/dot_particles.cc	(revision 9235)
+++ trunk/src/lib/particles/dot_particles.cc	(revision 9406)
@@ -33,5 +33,5 @@
     ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/particles/engine/particle_engine.cc
===================================================================
--- trunk/src/lib/particles/engine/particle_engine.cc	(revision 9235)
+++ trunk/src/lib/particles/engine/particle_engine.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/particles/model_particles.cc
===================================================================
--- trunk/src/lib/particles/model_particles.cc	(revision 9235)
+++ trunk/src/lib/particles/model_particles.cc	(revision 9406)
@@ -33,5 +33,5 @@
 ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
@@ -136,5 +136,5 @@
     }
   else
-    PRINTF(2)("no model loaded onto ParticleSystem-%s\n", this->getName());
+    PRINTF(2)("no model loaded onto ParticleSystem-%s\n", this->getCName());
   glPopAttrib();
 }
Index: trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- trunk/src/lib/particles/particle_emitter.cc	(revision 9235)
+++ trunk/src/lib/particles/particle_emitter.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 /**
@@ -198,5 +198,5 @@
 void ParticleEmitter::debug() const
 {
-  PRINT(0)(" ParticleEmitter %s::%s\n", this->getClassName(), this->getName());
+  PRINT(0)(" ParticleEmitter %s::%s\n", this->getClassCName(), this->getCName());
   PRINT(0)("  EmissionRate: %f, Speed: %f, SpreadAngle: %f\n", this->getEmissionRate(), this->getEmissionVelocity(), this->getSpread());
 }
Index: trunk/src/lib/particles/particle_system.cc
===================================================================
--- trunk/src/lib/particles/particle_system.cc	(revision 9235)
+++ trunk/src/lib/particles/particle_system.cc	(revision 9406)
@@ -32,5 +32,5 @@
 #include <algorithm>
 
-using namespace std;
+
 /**
  *  standard constructor
@@ -139,5 +139,5 @@
       {
         PRINTF(2)("Tried to load an Element of type '%s' that should be a ParticleEmitter onto '%s::%s'.\n",
-                  emitter->getClassName(), this->getClassName(), this->getName());
+                  emitter->getClassCName(), this->getClassCName(), this->getCName());
         delete emitter;
       }
@@ -145,5 +145,5 @@
     else
     {
-      PRINTF(2)("Could not Generate Emitter for system %s::%s (wrong type in XML-format)\n", this->getClassName(), getName());
+      PRINTF(2)("Could not Generate Emitter for system %s::%s (wrong type in XML-format)\n", this->getClassCName(), getCName());
     }
   }
@@ -157,5 +157,5 @@
 {
   this->maxCount = maxCount;
-  PRINTF(4)("MAXCOUNT of %s::%s is %d\n", this->getClassName(), this->getName(),maxCount);
+  PRINTF(4)("MAXCOUNT of %s::%s is %d\n", this->getClassCName(), this->getCName(), maxCount);
 }
 
@@ -170,5 +170,5 @@
   this->lifeSpan = lifeSpan;
   this->randomLifeSpan = randomLifeSpan;
-  PRINTF(4)("LifeTime of %s::%s is %f\n", this->getClassName(), this->getName(), lifeSpan);
+  PRINTF(4)("LifeTime of %s::%s is %f\n", this->getClassCName(), this->getCName(), lifeSpan);
 }
 
@@ -188,5 +188,5 @@
     this->conserve = conserve;
 
-  PRINTF(4)("Conserve of %s::%s is %f\n", this->getClassName(), this->getName(),conserve);
+  PRINTF(4)("Conserve of %s::%s is %f\n", this->getClassCName(), this->getCName(), conserve);
 }
 
@@ -206,5 +206,5 @@
 
   PRINTF(4)("Radius of %s::%s at timeSlice %f is %f with a Random of %f\n",
-    this->getClassName(), this->getName(),lifeCycleTime, radius, randRadius);
+    this->getClassCName(), this->getCName(), lifeCycleTime, radius, randRadius);
 }
 
@@ -237,5 +237,5 @@
 
   PRINTF(4)("Color of %s::%s on timeslice %f is r:%f g:%f b:%f a:%f\n",
-    this->getClassName(), this->getName(), lifeCycleTime, red, green, blue, alpha);
+    this->getClassCName(), this->getCName(), lifeCycleTime, red, green, blue, alpha);
 }
 
@@ -278,5 +278,5 @@
     (*emitter)->updateNode(.1), (*emitter)->updateNode(.1);
 
-  PRINTF(4)("Precaching %s::%s %d seconds %d timesPerSecond\n", this->getClassName(), this->getName(), seconds, ticksPerSecond);
+  PRINTF(4)("Precaching %s::%s %d seconds %d timesPerSecond\n", this->getClassCName(), this->getCName(), seconds, ticksPerSecond);
   for (unsigned int i = 0; i < seconds*ticksPerSecond; i++)
     this->tick(1.0/(float)ticksPerSecond);
@@ -460,5 +460,5 @@
     int i = 1;
     Particle* tmpPart = this->deadList;
-    while (tmpPart = tmpPart->next) { ++i; }
+    while ((tmpPart = tmpPart->next) != NULL) { ++i; }
     PRINT(0)("count: %d\n", i);
   }
Index: trunk/src/lib/particles/plane_emitter.cc
===================================================================
--- trunk/src/lib/particles/plane_emitter.cc	(revision 9235)
+++ trunk/src/lib/particles/plane_emitter.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #include "stdlibincl.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/particles/quick_animation.cc
===================================================================
--- trunk/src/lib/particles/quick_animation.cc	(revision 9235)
+++ trunk/src/lib/particles/quick_animation.cc	(revision 9406)
@@ -20,5 +20,5 @@
 #include <algorithm>
 
-using namespace std;
+
 
 /**
Index: trunk/src/lib/particles/spark_particles.cc
===================================================================
--- trunk/src/lib/particles/spark_particles.cc	(revision 9235)
+++ trunk/src/lib/particles/spark_particles.cc	(revision 9406)
@@ -29,5 +29,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SparkParticles, CL_SPARK_PARTICLES);
Index: trunk/src/lib/particles/sprite_particles.cc
===================================================================
--- trunk/src/lib/particles/sprite_particles.cc	(revision 9235)
+++ trunk/src/lib/particles/sprite_particles.cc	(revision 9406)
@@ -33,5 +33,5 @@
     ->defaultValues("maps/evil-flower.png");
 
-using namespace std;
+
 
 /**
